---
title: "Trigger IMAP/POP Check"
description: "Triggers an immediate check from all eligible monitoring locations."
---

`POST /api/imap-pop-monitors/:imapPopMonitorPublicId/trigger-check`

## Authentication

Requires a valid session.

- Header: `Authorization: Bearer <token>`

## Parameters

- `imapPopMonitorPublicId` (Path, required): IMAP/POP monitor public UUID.

## Response

```json
{
  "success": true,
  "message": "Checks triggered successfully",
  "imapPopMonitorId": 500,
  "locationCodes": ["de-nbg", "fi-hel"],
  "queueNames": ["imap-pop-monitor-checks-de-nbg", "imap-pop-monitor-checks-fi-hel"]
}
```

## Errors

- `400` Invalid IMAP/POP monitor public ID (UUID) or no eligible locations
- `401` Unauthorized
- `403` Forbidden
- `404` IMAP/POP monitor not found
- `503` No active monitoring locations available
- `500` Failed to trigger check

